<template>
    <div id="sholat" class="bg-fixed bg-cover h-screen">
        <div class="mx-auto pt-10">
            <div  class="text-center text-white">
              <h1 class="text-xl md:text-4xl font-bold">Jadwal Sholat <span class="block md:inline">{{ lokasi }}</span></h1>
              <h2 class="text-2xl md:text-6xl mt-2 font-black">{{ toNormalText() }}</h2>
              <h3 class="text-lg md:text-2xl">{{ anyTanggal[0] }}, {{ anyTanggal[2] }} <span class="hidden md:inline">|</span> <span class="block md:inline">{{ anyTanggal[1] }}</span></h3>
            </div>
            <div class="flex justify-center mt-4 md:mt-10 lg:mt-24 w-full">
              <div class="w-1/2 bg-white px-2 md:px-4 py-4 md:py-10 rounded-lg shadow-lg">
                <p class="text-center text-6xl md:text-8xl font-black">{{ clock }}<span class="text-2xl lg:text-6xl hidden lg:inline">{{ detik }}</span></p>
              </div>
            </div>
            <div class="flex flex-row flex-wrap gap-4 bottom-16 fixed justify-center px-6 w-full">
            <!-- <div class="grid grid-cols-2 lg:grid-cols-5 gap-4 bottom-16 fixed justify-center px-10 w-full"> -->
                <div v-for="waktu in ['subuh', 'dzuhur', 'ashar', 'maghrib', 'isya']" :key="waktu" class="basis-1/3 md:basis-1/6 bg-white p-3 md:p-6 rounded-lg shadow-lg">
                    <div class="text-center text-3xl font-black">{{ jadwal[waktu] }}</div>
                    <div class="text-center text-xl font-bold">{{ waktu.toUpperCase() }}</div>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup>
import moment from 'moment';
import { ref, onMounted, onUnmounted, computed } from 'vue';
import { useRoute } from 'vue-router';
import { useStore } from 'vuex';

moment.locale('id')
const route = useRoute()
const store = useStore()
// const date = ref(moment().format('dddd, DD MMMM YYYY'))
const dateToStore = ref(moment().format('YYYY-MM-DD')) 
const clock = ref(moment().format('HH:mm'))
const detik = ref(moment().format(' :ss'))
const idLokasi = ref(route.query.id)
const msgSlug = ref(route.query.msg)
// const msg = ref('')


onMounted(async () => {
  try {
    await store.dispatch('sholat/getSholat', {lokasi: idLokasi.value, tanggal: dateToStore.value});
  } catch (error) {
    console.error('Error fetching sholat data:', error);
  }

  store.dispatch('lokasi/setTanggal')
  const intervalId = setInterval(() => {
    clock.value = moment().format('HH:mm');
    detik.value = moment().format(':ss');
  }, 1000);

  onUnmounted(() => {
    clearInterval(intervalId);
  });
});

const jadwal = computed(() => { return store.state.sholat.data })
const anyTanggal = computed(() => { return store.state.lokasi.tanggal })
const lokasi = computed(() => { return store.state.sholat.lokasi })

function toNormalText() {
  return msgSlug.value.replace(/-/gi, ' ')
}

</script>

<style scoped>
#sholat {
    background-image: url('@/assets/background-image.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
}

#jam {
    font-family: "Bebas Neue", sans-serif;
}

</style>